<?
//------------------------------------------------------------------------------------
//  USER ACCESS CONFIGURATION ARRAY:                          version 1.0 (01/21/2004)   
//------------------------------------------------------------------------------------
// Description: this file defines the array that holds all of the configuration 
// information for the user access module. This config consists of:
// 
// LOGINPAGE - The url of the login page. If using WWW-Authenticate then this is an 
//             empty string.
// LOGOUT    - The url to the page to be re-directed to when logging out.
// AUTH_INFO - The assicative array that contains the authintication information : 
//    |
//    -- type     - The type of authenticate for the user. This could be:
//    |            "FTP" - use FTP to authenticate.
//    |            "USER_INFO" - use the USER_INFO assicative array for authentication.
//    -- ftp_host - The URL of the host to connect to if using FTP (ie. www.myhost.com ).           
// 
//  USER_INFO - The assicative array that contains the user information : 
//     |
//     -- type   -  The type of user authentication: this can only be DB at this time.
//     |
//     -- myencription - The type of encription for the password field. This could be:
//     |                  ""    - no encription
//     |                  "MD5" - md5 encription
//     |                  "ENCODE" - ecode/decode
//     -- encodekey - the salt encode key for the ENCODE encription.
//     |
//     -- dsn - the dsn connection information
//     |
//     -- dbtable - the name of the database table that holds the user information
//     |
//     -- dbfields - the map of what fields are called in that table.
//           |
//           --user_id  - the name of the user_id field. this Should be the primary key 
//           |            for the user. It is crosslisted to the rest of the tables.
//           --username - the username field.     
//
//
// * more to be commented on later...*
//  
//
//------------------------------------------------------------------------------------

$UA_Config = array(
    'LOGINPAGE' => 'index.php',
    'LOGOUT' => 'logout.php', 
    'AUTH_INFO' => array(
             'type' => 'USER_INFO',                          
             'ftp_host' => ''            
             ),          
    'USER_INFO' => array(
             'type' => 'DB',
             'myencription' => '',
             'encodekey' => 'friday', 
             'dsn' => array('username' => $datausername,
                            'password' => $password,
                            'host' => $server,
                            'dbtype'  => $dbtype,
                            'database' => $database
                            ),
              'dbtable' => 'gallery_users',
              'dbfields' => array('user_id' => 'recno',
                                  'username' => 'username',
                                  'password' => 'password',                                                                
                                  ),
             ),                
    'SESSION_INFO' => array(
             'storepass' => 'NO',
             'myencription' => '',
             'encodekey' => 'friday', 
             'type' => 'DB',
             'dsn' => array('username' => $datausername,
                            'password' => $password,
                            'host' => $server,
                            'dbtype'  => $dbtype,
                            'database' => $database
                            ),
              'dbtable' => 'gallery_sessions',
              'dbfields' => array('sessionid' => 'sessionid',
                                  'user_id' => 'user_id',
                                  'accessexpire' => 'accessexpire',
                                  'password' => 'password',
                                  'utoken' => 'utoken',
                                  'ipaddress' => 'ipaddress',
                                  'useragent' => 'useragent',
                                  'referer' => 'referer',
                                  'ipaddress' => 'ipaddress',
                                  'lastaccess' => 'lastaccess',
                                  'useragent' => 'useragent'            
                                  ),
              'loginTimeout' => 200,              
              'allowDuplicateHandles'=> 1
              ),
     'PERMISSION_INFO' =>  array(
                 'type' => 'DB',
             'dsn' => array('username' => $datausername,
                            'password' => $password,
                            'host' => $server,
                            'dbtype'  => $dbtype,
                            'database' => $database
                            ),
              'user_area_table' => 'gallery_feature_list',
              'user_area_fields' => array('area_id' => 'id',
                                'area_name' => 'name'                                  
                                  ),
              'user_rights_table' => 'gallery_access',
              'user_rights_fields' => array('user_id' => 'userid',
                                  'area_id' => 'galleryid',
                                  'permission' => 'permissions' 
                                  )
              )
  );
?>
