<?
//----------------------------------------------------------------
// checks the permissions for a given image based on the galleries
// that image is part of. a image can be part of multiple galleries.
function check_image_permissions($permission,$imageid,$user_id){
 global $myuser,$db;

 // begin with negative.
 $hassaccess = false;
  
 // get all of the galleries that this image is part of.
 $query = "SELECT * FROM gallery_feature_xref WHERE galleryid='$imageid'";
 $res = $db->query($query);
 while($row = $res->fetchRow(DB_FETCHMODE_ASSOC)){
    // check the permissions for that gallery.
    if(checkpermissions($permission,$row['featureid'],$user_id)){
      $hassaccess = true;     
    }
 }
 return $hassaccess;	
}

//----------------------------------------------------------------
// checks the permissions for a given gallery.
function checkpermissions($permission,$gallery,$user_id,$omitguest=0){
 global $myuser,$db;
// print "checking : $permission,$gallery,$user_id,$omitguest<br>";

 // begin with negative.
 $hassaccess = false;

 // check the top level permissions noted by id of 0.
 if($myuser->has_access($permission,0,$user_id)){
    $hassaccess = true; 
 } 
 if($myuser->has_access("FULL",0,$user_id)){
    $hassaccess = true; 
 } 
 
 // check the guest_user permissions if not omitted 
 if($omitguest!=1){
   // check the top level permissions noted by id of 0.
   if($myuser->has_access($permission,$gallery,1)){
     $hassaccess = true; 
   } 
   if($myuser->has_access("FULL",$gallery,1)){
     $hassaccess = true; 
   } 
 }
 
 // check the permissions of the current gallery.
 $current_gallery = $gallery; 
 if($myuser->has_access($permission,$gallery,$user_id)){
    $hassaccess = true; 
 }
 
 // go though all the parents looking for "FULL" access permissions
 // which gives access to all the child galleries. 
 while($current_gallery != 0){
   if($myuser->has_access("FULL",$current_gallery,$user_id)){
     $hassaccess = true; 
   }
   // get the galleries parent.
   $query = "SELECT parentid FROM gallery_feature_list WHERE feature_id='$current_gallery'";
   $res = $db->query($query);
   $row = $res->fetchRow(DB_FETCHMODE_ASSOC);
   $current_gallery = $row['parentid'];    
 }
// if($hassaccess){ print "<b>TRUE</b><br>"; }
 return $hassaccess;	

}

//----------------------------------------------------------------
// returns a thumbnail from the selected gallery
function lookforthum($f_id){
  global $myuser,$dbtype,$db,$user_id;

  $query = "select * from gallery_feature_list where parentid='$f_id' ";
  $rs = $db->query($query);
  if ($rs->numrows() == 0){    
    return -1;
  } else {
   $returnthis = "";
   for($i=0;$i<$rs->numrows();$i++){
     $row= $rs->fetchRow(DB_FETCHMODE_ASSOC);
     $query = "SELECT * FROM gallery,gallery_feature_xref WHERE gallery.approved='Y' AND gallery.recno=gallery_feature_xref.galleryid AND gallery_feature_xref.featureid = '" . $row[feature_id] . "' order by date DESC";       
     if(checkpermissions("READ",$row[feature_id],$user_id)){   	
      $rs4 = $db->query($query); 
      $p_data = $rs4->fetchRow(DB_FETCHMODE_ASSOC);
       if( $p_data[thumb] != ""){ 
      	$returnthis_t = $p_data[thumb];
      	if($returnthis_t != -1){ $returnthis = $returnthis_t; }
       } else { 
      	$returnthis_t = lookforthum($row[feature_id]); 
      	if($returnthis_t != -1){ $returnthis = $returnthis_t; }
       }
     }
   }
   if($returnthis == ""){ $returnthis = -1; }
 
   return $returnthis;
 }
}

//----------------------------------------------------------------
function showchecks($parent){
	global $myuser,$db,$projectid,$features;
	
if($projectid == ""){
 $query = "SELECT * From gallery_feature_list";
 $features_res = $db->query($query);
 for($i=0; $i < $features_res->numrows(); $i++){
  $row= $features_res->fetchRow(DB_FETCHMODE_ASSOC);
  $id = $row[feature_id];
  if(checkpermissions("WRITE",$row[feature_id],$user_id)){
    $projectid = $row[feature_id];
  }
 }
}	
$query = "SELECT * From gallery_feature_list where parentid='$parent'";
$features_res = $db->query($query);
for($i=0; $i < $features_res->numrows(); $i++){
  $row= $features_res->fetchRow(DB_FETCHMODE_ASSOC);
  $id = $row[feature_id];
  if( ($projectid == $row[feature_id]) || ($features[$id] == 1) ){ $checkedval = " CHECKED "; } else { $checkedval = ""; }
  if(checkpermissions("WRITE",$row[feature_id],$user_id)){
   $query = "select * from gallery_feature_list WHERE parentid='$row[feature_id]' order by ordernum,val";
   $rs_t = $db->query($query);  
   if($rs_t->numrows() == 0){
     print "<input type=checkbox value=Y name=feature__$row[feature_id] $checkedval> $row[val] <br>";  	
   } else {
     print "<B>$row[val]</B><ul>";
     showchecks($row[feature_id]);
     print "</ul>";
   }
  }
 }
}

//----------------------------------------------------------------
function uniqueimagename(){
   global $ext;
   $string = md5(uniqid(microtime(),1));
   $string = substr($string,0,12);
   $init1  =substr($string,0,1);
   $fullname = $string . $ext;
   return $string;
}

//----------------------------------------------------------------
function has_cats($projectid){
  global $db; 
  
  $query = "SELECT * FROM gallery_feature_list WHERE parentid='$projectid' ";
  $rs2 = $db->query($query);
  return $rs2->numrows();
}

//----------------------------------------------------------------
function historyof($projectid){
  global $db,$COLORSCHEME; 
  
  $query = "SELECT * FROM gallery_feature_list WHERE feature_id='$projectid' ";
  $rs2 = $db->query($query);	
  if( ($rs2->numrows() == 0) || ($projectid == 0)){
    return "<a href=imagemenu.php?projectid=0 target=_top><font color=$COLORSCHEME[optionstext]>Main</font></a> :: ";
  } else {
    $row = $rs2->fetchRow(DB_FETCHMODE_ASSOC);
    return historyof($row[parentid]) . "<a href=imagemenu.php?projectid=$row[feature_id] target=_top><font color=$COLORSCHEME[optionstext]>$row[val]</font></a> :: ";
  }
   	
}

?>